---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 281203f2-aeb2-573c-8207-5bdad109d03f
      tier: AATSR_CMP_MONTH
      value: 0.040337394922971725
    brdf:
      alpha_1:
        band_1: 0.12113900917072161
        band_11: 0.11262295753293551
        band_12: 0.04222683980633403
        band_2: 0.12113900917072161
        band_3: 0.25745114642412364
        band_4: 0.11861746966579906
        band_5: 0.11861746966579906
        band_6: 0.11861746966579906
        band_7: 0.3026516920741814
        band_8: 0.3026516920741814
        band_8a: 0.3026516920741814
      alpha_2:
        band_1: 0.1744485243703071
        band_11: 0.14993361052009008
        band_12: 0.15681502473765738
        band_2: 0.1744485243703071
        band_3: 0.2051134251842035
        band_4: 0.18164581846050754
        band_5: 0.18164581846050754
        band_6: 0.18164581846050754
        band_7: 0.13278387820698792
        band_8: 0.13278387820698792
        band_8a: 0.13278387820698792
      id:
      - 5171257d-3d0f-51e6-aec4-86dc5b941976
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.269
    water_vapour:
      id:
      - bcf450e9-47d8-55ce-b353-75e3f2aaf764
      tier: DEFINITIVE
      value: 2.1700000762939453
  id: c69230dd-ab80-4ac1-a050-8f93bc9486f4
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1921.5795386717805
      BAND-11: 233.93332939651046
      BAND-12: 80.00932348929996
      BAND-2: 1964.1464207673719
      BAND-3: 1839.1382249887713
      BAND-4: 1501.6566152877974
      BAND-5: 1386.2220764475148
      BAND-6: 1264.931609916066
      BAND-7: 1157.9734470216301
      BAND-8: 1025.5826577654313
      BAND-8A: 935.2505499233778
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-05-02 01:04:18.906649Z
    atime: 2023-05-13 10:13:42Z
    ctime: 2023-05-02 23:46:12Z
    mtime: 2023-05-02 23:46:06Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-05/25S135E-30S140E/S2A_MSIL1C_20230502T005711_N0509_R002_T53JQM_20230502T034048.zip
  system_information:
    hostname: gadi-cpu-clx-2048.gadi.nci.org.au
    runtime_id: d6caca82-f176-11ed-b268-00000083fe80
    time_processed: 2023-05-13 10:13:43.032126Z
    uname: 'Linux gadi-cpu-clx-2048.gadi.nci.org.au 4.18.0-425.3.1.el8.nci.x86_64
      #1 SMP Mon Jan 9 11:39:52 AEDT 2023 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 21.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 7
  granule: S2A_OPER_MSI_L1C_TL_2APS_20230502T034048_A041040_T53JQM_N05.09
  ref_date: '2015-09-06T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/077/LC81000772015249LGN00_B6.TIF
  residual:
    abs:
      x: 7.74
      xy: 33.99
      y: 33.1
    abs_iterative_mean:
      x: 7.8
      xy: 32.31
      y: 31.36
    cep90: 34.98
    iterative_mean:
      x: -7.8
      xy: 32.31
      y: -31.36
    iterative_stddev:
      x: 2.17
      xy: 2.88
      y: 1.9
    mean:
      x: -7.74
      xy: 33.99
      y: -33.1
    stddev:
      x: 3.73
      xy: 5.83
      y: 4.48
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 19.394600548770573
    cloud: 80.15168828238791
    cloud_shadow: 0.45366140125613386
    snow: 3.3178390250861804e-05
    water: 1.6589195125430902e-05
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 15.575472543223148
    cloud: 84.42452745677686
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.6
...
